Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::TwoBodyIntCints Class Reference

This implements electron repulsion integrals in the IntCints library. More...

`#include <tbint.h>`

Inheritance diagram for sc::TwoBodyIntCints:

[legend]
Collaboration diagram for sc::TwoBodyIntCints:

[legend]
List of all members.

## Public Methods

| TwoBodyIntCints (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, const Ref< GaussianBasisSet > &b3, const Ref< GaussianBasisSet > &b4, size_t storage, tbinteval int2etype)
| ~TwoBodyIntCints ()
int | log2_shell_bound (int, int, int, int)
| Return log base 2 of the maximum magnitude of any integral in a shell block. More...
void | compute_shell (int, int, int, int)
| Given for shell indices, this will cause the integral buffer to be filled in.
size_t | used_storage () const
void | set_integral_storage (size_t storage)
| This storage is used to cache computed integrals.
const double * | buffer (tbint_type te_type) const
| The computed shell integrals will be put in the buffer returned by this member. More...

## Protected Attributes

Ref< Int2eCints > | int2ecints_

## Detailed Description

This implements electron repulsion integrals in the IntCints library.

## Member Function Documentation

const double* sc::TwoBodyIntCints::buffer | ( | tbint_type | te_type | ) | const`[inline, virtual]`

| The computed shell integrals will be put in the buffer returned by this member. Some TwoBodyInt specializations have more than one buffer: The type arguments selects which buffer is returned. If the requested type is not supported, then 0 is returned. Reimplemented from sc::TwoBodyInt.

int sc::TwoBodyIntCints::log2_shell_bound | ( | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Return log base 2 of the maximum magnitude of any integral in a shell block. An index of -1 for any argument indicates any shell. Implements sc::TwoBodyInt.

The documentation for this class was generated from the following file:

- cints/tbint.h